class Effector extends Item abstract;

function String GetConfHead()
{
	local string outstring;

	outstring="CONF {Type "$ItemType$"}";

	return outstring;
}

function String GetConfData()
{
	return "";
}

function string GetGeoHead()
{
	local string outstring;

	outstring="GEO {Type "$ItemType$"}";

	return outstring;
}

function string GetGeoData()
{
	local string outstring;

	if (converter==None)
		outstring="{Name "$ItemName$" Location "$(Location-Base.Location)$" Orientation "$(Rotation-Base.Rotation)$" Mount "$ItemMount$"}";
	else 
		outstring="{Name "$ItemName$" Location "$(converter.Str_LengthVectorFromUU(Location-Base.Location))
		                       $" Orientation "$(converter.Str_RotatorFromUU(Rotation-Base.Rotation))
		                             $" Mount "$ItemMount$"}";
	return outstring;
}

defaultproperties
{
	ItemType="Effector"
}