/* MB X Y console commands to move Soccer Ball
 * around the map added by:
 * Marco Zaratti - marco.zaratti@gmail.com
*/
class USARDeathMatch extends BotDeathMatch;

var array<USARVictim> Victims;
var array<KVehicle> Vehicles;
var array<RFIDTag> RFIDTags;
var array<VictRFIDTag> VictRFIDTags;
var bool bAutoId;
var Soccerball KBall;

var int WheelCount; //General purpose counter controlled by mouse wheel

function PostNetBeginPlay()
{
	Super.PostNetBeginPlay();

    if(Role == ROLE_Authority)
    	foreach AllActors(class'SoccerBall',KBall) break;
}

exec function MB(optional int posX, optional int posY)
{
    if(KBall != none)
    {
        KBall.MoveBall(posX,posY,10);
    }
}

function actor GetRobot(String name) {
	local string botName;
	local int i;

	for (i=0;i<Vehicles.length;i++) {
		botName = Vehicles[i].Controller.PlayerReplicationInfo.PlayerName;
		if (botName==name)
			return Vehicles[i];
	}
	return None;
}

//We dont want UT bots running around the map!
function bool NeedPlayers()
{
	return False;
}

defaultproperties
{
    BotServerClass=USARBotServer
    RemoteBotClass=USARRemoteBot
    GameName="USARSim Simulation"
    PlayerControllerClassName="USARBot.ViewTestPlayerController"
    HUDType="USARBot.USARHUD"
    bAllowVehicles=True
    GameReplicationInfoClass=Class'USARReplicationInfo'
	bAutoId=true
	TimeLimit=0
}
