class USARObstacle extends Decoration;

function Bump( actor Other )
{
	if( bPushable && (Pawn(Other)!=None) && (Other.Mass > 40) )
	{
		Push(Other);
	}
	else Cross(Other);
}

function Push( actor Other )
{
	local float speed, oldZ;

	oldZ = Velocity.Z;
	speed = VSize(Other.Velocity);
	Velocity = Other.Velocity * FMin(480.0, 20 + speed)/speed;

	if ( Physics == PHYS_None )
	{
		Velocity.Z = 25;
		if (!bPushSoundPlaying)
		{
			PlaySound(PushSound, SLOT_Misc);
			bPushSoundPlaying = True;
		}
	}
	else
		Velocity.Z = oldZ;
	SetPhysics(PHYS_Falling);
	SetTimer(0.3,False);
	Instigator = Pawn(Other);
}

function Cross( actor Other )
{

}

defaultproperties
{
     bPushable=True
     DrawType=DT_StaticMesh
     StaticMesh=StaticMesh'USAR_Mesh.obstacle.brick'
     bStatic=False
     bNoDelete=True
     bStasis=False
     CollisionRadius=60.000000
     CollisionHeight=45.000000
     bCollideActors=True
     bCollideWorld=True
     bBlockActors=True
     bBlockPlayers=True
     bProjTarget=True
     bBlockKarma=True
     bNetNotify=True
}
