class USARRemoteBot extends RemoteBot;

//CAMERA parameters
var rotator	myCameraRotation;
var byte	myCameraRotationOrder;
var float	myCameraZoom;

//DRIVE middle level parameters
var float	LeftThrottle;
var float	RightThrottle;
var bool	Normalized;
//DRIVE low level parameters
var byte	JointControlIdx;
var array<string>	JName;
var array<float>	JSteer;
var array<byte> 	JOrder;
var array<float>	JValue;
//DRIVE auxiliary parameters
var bool	Light;
var bool	Flip;

//Turn parameters (obsolete)
var rotator	myTurn;
var float	myDistance;

//GETGEO parameters
var string  GeoType;

//FETCONF parameters
var string  ConfType;

//SET parameters
var string  SetType;
var string	SetName;
var String  OpCode;
var String  Params;

var bool	RangeScan;
var bool	IRCameraScan;
var bool	SetPosition, SetOrientation, SetEncoder;

//MISPKG parameters
var string  MPName;
var rotator MPRotation;
var vector  MPTranslation;
var byte    MPOrder;

//Needed for the gripper
var bool bGrip;

//This function is called by USARBotConnection. The latter
//can't call directly KRobot Pawn (at least it seems so) that's
//why we need a "bridge" function.
function SetSkin(string skinName)
{
    KRobot(Pawn).SetSkin(skinName);
}

//called periodicaly for each player in view
//overrides RemoteBot function to avoid SEE messages
function SeePlayer(Pawn SeenPlayer)
{
}

defaultproperties
{
    DrawScale=0.0001
}
