class Item extends Actor abstract;

var string ItemName;
var string ItemType;
var name   ItemMount;

var USARConverter converter;
var vector myPosition;
var rotator myDirection;
var KVehicle Platform;

function SetName(String iName)
{
	ItemName = iName;
}

function string Set(String opcode, String args)
{
	return "Failed";
}

simulated function Init(String SName, Actor parent, vector position, rotator direction, KVehicle veh, name mount)
{
	Platform = veh;
	if (mount=='None')
		ItemMount = 'HARD';
	else
		ItemMount = mount;
    ItemName = SName;
	SetBase(parent);
	SetRelativeRotation(direction);
	myPosition = position;
	myDirection = direction;
	if(Platform != none) //Multi-View has a camera without any platform
	{
    	if (Platform.IsA('KRobot'))
    		converter = KRobot(Platform).Converter;
    	else if (Platform.IsA('USARCar'))
    		converter = USARCar(Platform).Converter;
    	else if (Platform.IsA('USARBc'))
    		converter = USARBc(Platform).Converter;
    	else
    	    converter = None;
	} else
	   converter = None;

	ConvertParam(converter);
}

simulated function ConvertParam(USARConverter converter)
{
}

function bool isType(String type)
{
	return (Caps(ItemType)==Caps(type));
}

defaultproperties
{
	ItemType="Item"
	DrawType=DT_StaticMesh
//	DrawScale=0.1
	StaticMesh=StaticMesh'USAR_Mesh.Sensor.Sensor'
	bHardAttach=true
	RemoteRole=ROLE_None
}
